commit:     bf5dc316356e2474f23608ebb58576ea77050f3a
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon May 12 02:35:48 2025 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon May 12 02:35:48 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bf5dc316

dev-python/pypdf: Bump to 5.5.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/pypdf/Manifest           |  1 +
 dev-python/pypdf/pypdf-5.5.0.ebuild | 51 +++++++++++++++++++++++++++++++++++++
 2 files changed, 52 insertions(+)

diff --git a/dev-python/pypdf/Manifest b/dev-python/pypdf/Manifest
index e5452f5b4e70..f10751f56670 100644
--- a/dev-python/pypdf/Manifest
+++ b/dev-python/pypdf/Manifest
@@ -1,2 +1,3 @@
 DIST pypdf-5.4.0.gh.tar.gz 8046505 BLAKE2B 
8816362edd28d0c0dc0ed2abbec56f0adfdf9377fe3770f494cf1dc301a2636a4ca579c86a6fa8ee65532965f347cc2b8c08df074131f7373d1ef6f9ab5125e6
 SHA512 
530853e2839164c3159c5d6b466ddd95859af2ed5473d7d1c1fbf8350d2860685439565cc50bf093fa4c662a04775660fd3e6e70f5fd134fcb9cdea93c88eac2
+DIST pypdf-5.5.0.gh.tar.gz 8057519 BLAKE2B 
4088f1332e7f34d796db899e500729ccabc427e4bbd3fb1d7dd75d3883c546cc2b5facb95e6e54bd9f62367e1fc2a0e208d97bf6e3abc3f3ff2d64a5fe8435b0
 SHA512 
7e0592395ea673429fadf8308f26209408e1a4931d2544a4497e02e2b222635eb97dd11f0696021e776d0c481d0febd2f9186e0812f70f248e657d4aa1bfc0e7
 DIST pypdf-sample-files-8c405ece5eff12396a34a1fae3276132002e1753.gh.tar.gz 
11748093 BLAKE2B 
c5989200893b28a3c2062bb024a5cfc6f3389dc259ec129857979fa43469e1274559612b4d555499e2c7e16cf34be07825229932bf4d147fa6d7324d043e97d5
 SHA512 
c9771129b7668a2fd1fa79bb859ae9213f3d60341cf1b9937ff0eaab0de9bf4c35adcb7b896e93329038dc0f3809a0c697c523f8fe41b43030b0b029a88058e3

diff --git a/dev-python/pypdf/pypdf-5.5.0.ebuild 
b/dev-python/pypdf/pypdf-5.5.0.ebuild
new file mode 100644
index 000000000000..0a81bb94fdd4
--- /dev/null
+++ b/dev-python/pypdf/pypdf-5.5.0.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{11..13} )
+
+inherit distutils-r1
+
+SAMPLE_COMMIT=8c405ece5eff12396a34a1fae3276132002e1753
+DESCRIPTION="Python library to work with PDF files"
+HOMEPAGE="
+       https://pypi.org/project/pypdf/
+       https://github.com/py-pdf/pypdf/
+"
+SRC_URI="
+       https://github.com/py-pdf/pypdf/archive/${PV}.tar.gz
+               -> ${P}.gh.tar.gz
+       test? (
+               
https://github.com/py-pdf/sample-files/archive/${SAMPLE_COMMIT}.tar.gz
+                       -> ${PN}-sample-files-${SAMPLE_COMMIT}.gh.tar.gz
+       )
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~ppc64 ~x86"
+
+BDEPEND="
+       test? (
+               dev-python/cryptography[${PYTHON_USEDEP}]
+               
>=dev-python/pillow-8.0.0[jpeg,jpeg2k,tiff,zlib,${PYTHON_USEDEP}]
+               dev-python/pyyaml[${PYTHON_USEDEP}]
+       )
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+src_unpack() {
+       default
+       if use test; then
+               mv "sample-files-${SAMPLE_COMMIT}"/* "${S}"/sample-files/ || die
+       fi
+}
+
+python_test() {
+       local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+       epytest -o addopts= -m "not enable_socket"
+}

Reply via email to